3D

[OpenCASCADE] Intersection (Shape - Plane)

반응형

[ 2010년에 작성된 글입니다. 지금은 다를 수 있습니다. ]

 

Shape와 Plane 사이의 Intersection을 구하는 방법.

 

TKBO.lib 참조 필요함.

 

TopoDS_Face temp_face = BRepBuilderAPI_MakeFace(gp_Pln(gp_Pnt(0, 0, 0), gp_Dir(0, 0, 1)));

BRepAlgoAPI_Section mkCut(aShape, temp_face, Standard_False);
mkCut.ComputePCurveOn1(Standard_True);
mkCut.Approximation(Standard_True);
mkCut.Build();

myAISContext->Display(new AIS_Shape(mkCut.Shape()));
반응형

'3D' 카테고리의 다른 글

[OSG] 초기 화면 비율 조정  (0) 2021.03.13
[OpenCASCADE] STL(Mesh) to Polygon 2  (0) 2021.03.13
[OpenCASCADE] Shape Edge Intersection  (0) 2021.03.13
[OpenCASCADE] Gradient Background 표현하기  (0) 2021.03.13
[OpenCASCADE] STL(Mesh) to Polygon  (0) 2021.03.13